org.firebirdsql.gds.ng.wire

## Interface FbWireStatement

All Superinterfaces:
  java.lang.AutoCloseable, ExceptionListenable, FbStatement

All Known Implementing Classes:
  AbstractFbWireStatement, V10Statement, V11Statement, V12Statement, V13Statement, V16Statement, V18Statement

    public interface FbWireStatement
    extends FbStatement

Interface for Statements created for the wire protocol implementation.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

`addStatementListener, batchCancel, batchExecute, clearCursorFlag, close, closeCursor, closeCursor, createBatchParameterBuffer, deferredBatchCreate, deferredBatchRelease, deferredBatchSend, emptyRowDescriptor, ensureClosedCursor, execute, fetchRows, fetchScroll, getCursorInfo, getCursorInfo, getDatabase, getDefaultSqlInfoSize, getExecutionPlan, getExplainedExecutionPlan, getHandle, getMaxSqlInfoSize, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getSqlInfo, getState, getTimeout, getTransaction, getType, hasFetched, isCursorFlagSet, prepare, removeStatementListener, setCursorFlag, setCursorName, setTimeout, setTransaction, supportBatchUpdates, supportsCursorInfo, supportsFetchScroll, unprepare, validateParameters, withLock`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`